<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">

  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ข้อมูลทั่วไป</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดข้อมูลตามหัวข้อที่ปรากฎด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="firstStepData.validate === true || firstStepData.validate === null">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>


</div>

<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== true ? 'none' : '' }">
  <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
    บันทึกร่างใบคำขอเรียบร้อย</a>
</div>


<!-- ======================================== validate  = true =================================================== -->
<div *ngIf="firstStepData.validate === true || firstStepData.validate === null ">
  <div>
    <!-- ======================================= เลขที่ใบคำขอ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal">เลขที่ใบคำขอ</p>
      </div>
      <div class="col-12 input-group ">
        <input class="form-control" type="text" placeholder="เลขที่ใบคำขอ" [(ngModel)]="firstStepData.applicationNumber"
          readonly>
      </div>
    </div>

    <!-- ======================================= ประเภทการนำเสนอ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal">ประเภทการนำเสนอ</p>
      </div>
      <div class="col-12 body-detal">

        <mat-radio-group aria-label="Select an option" [(ngModel)]="firstStepData.PresentType"
          (ngModelChange)="changeSaveDraft()">
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="เพื่อทราบ"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.PresentType === 'เพื่อทราบ','checkbox-detail-false': firstStepData.PresentType !== 'เพื่อทราบ'}"
              (click)="firstStepData.PresentType = 'เพื่อทราบ'; changeSaveDraft()">เพื่อทราบ</div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="เพื่อพิจารณาและเพื่อทราบ"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.PresentType === 'เพื่อพิจารณาและเพื่อทราบ','checkbox-detail-false': firstStepData.PresentType !== 'เพื่อพิจารณาและเพื่อทราบ'}"
              (click)="firstStepData.PresentType = 'เพื่อพิจารณาและเพื่อทราบ'; changeSaveDraft()">
              เพื่อพิจารณาและเพื่อทราบ
            </div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="เพื่อพิจารณา"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.PresentType === 'เพื่อพิจารณา','checkbox-detail-false': firstStepData.PresentType !== 'เพื่อพิจารณา'}"
              (click)="firstStepData.PresentType = 'เพื่อพิจารณา'; changeSaveDraft()">เพื่อพิจารณา</div>
          </div>

        </mat-radio-group>
      </div>
    </div>

    <!-- ======================================= ประเภทวาระ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal">ประเภทวาระ</p>
      </div>
      <div class="col-12 body-detal">

        <mat-radio-group aria-label="Select an option" [(ngModel)]="firstStepData.agendaType"
          (ngModelChange)="clearAgendaType(); changeSaveDraft()">
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="true"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.agendaType === 'true','checkbox-detail-false': firstStepData.agendaType !== 'true'}"
              (click)="firstStepData.agendaType = 'true'; firstStepData.subAgendaType = ''; changeSaveDraft()">วาระปกติ
            </div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="false"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.agendaType === 'false','checkbox-detail-false': firstStepData.agendaType !== 'false'}"
              (click)="firstStepData.agendaType = 'false'; changeSaveDraft()">วาระเพิ่มเติม</div>
          </div>
        </mat-radio-group>

        <mat-radio-group aria-label="Select an option" [(ngModel)]="firstStepData.subAgendaType"
          (ngModelChange)="changeSaveDraft()">
          <!-- <div class="row subDetail" style="width: max-content;"> -->
          <div class="d-flex flex-wrap subDetail">
            <div style="min-width: 370px;">
              <mat-radio-button value="befor"
                [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'befor','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                [disabled]="!(firstStepData.agendaType === 'false')">
                <span
                  [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'befor' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'true' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'true' && firstStepData.agendaType !== 'false')}">
                  อยู่ระหว่างจัดทำ Product Assessment
                </span>
              </mat-radio-button>
            </div>
            <div style="min-width: 428px;">
              <mat-radio-button value="after"
                [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'after','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                [disabled]="!(firstStepData.agendaType === 'false')">
                <span
                  [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'after' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType !== 'false')}">
                  ขอจัดทำ Product Assessment ภายหลังการนำเสนอ PC
                </span>
              </mat-radio-button>
            </div>
            <div style="min-width: 428px;">
              <mat-radio-button value="non"
                [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'non','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                [disabled]="!(firstStepData.agendaType === 'false')">
                <span
                  [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'non' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType !== 'false')}">
                  ไม่ต้องจัดทำ Product Assessment
                </span>
              </mat-radio-button>
            </div>

          </div>
          <!--  -->
          <!-- <div class="subDetail">
            <div class="row">
              <div class="col-md-6">
                <mat-radio-button value="befor" class="radio-col"
                  [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'befor','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                  [disabled]="!(firstStepData.agendaType === 'false')">
                  <span
                    [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'befor' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'true' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'true' && firstStepData.agendaType !== 'false')}">
                    อยู่ระหว่างจัดทำ Product Assessment
                  </span>
                </mat-radio-button>
              </div>
              <div class="col-md-6">
                <mat-radio-button value="after" class="radio-col"
                  [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'after','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                  [disabled]="!(firstStepData.agendaType === 'false')">
                  <span
                    [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'after' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType !== 'false')}">
                    ขอจัดทำ Product Assessment ภายหลังการนำเสนอ PC
                  </span>
                </mat-radio-button>
              </div>
              <div class="col-md-6">
                <mat-radio-button value="non" class="radio-col"
                  [ngClass]="{'checkbox-detail-true': firstStepData.subAgendaType === 'non','checkbox-detail-false': firstStepData.subAgendaType !== '2'}"
                  [disabled]="!(firstStepData.agendaType === 'false')">
                  <span
                    [ngClass]="{'checkbox-detail-true': (firstStepData.subAgendaType === 'non' && firstStepData.agendaType === 'false'), 'checkbox-detail-false': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType === 'false'), 'checkbox-detail-false-disabled': (firstStepData.subAgendaType !== 'false' && firstStepData.agendaType !== 'false')}">
                    ไม่ต้องจัดทำ Product Assessment
                  </span>
                </mat-radio-button>
              </div>
            </div>
          </div> -->
        </mat-radio-group>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal">วัตถุประสงค์การนำเสนอ</p>
    </div>
    <div class="col-12 body-detal">
      <mat-radio-group aria-label="Select an option" [(ngModel)]="firstStepData.presentPurpose"
        (ngModelChange)="changeSaveDraft()" (click)="getSummaryList(); firstStepData.productInfor === null">
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="ทบทวนผลิตภัณฑ์ระหว่างปี" [disabled]="changeRequestRepeatId === false">
            </mat-radio-button>
          </div>
          <div class="bd-highlight radio-detail"
            [ngClass]="{'checkbox-detail-true': firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี','checkbox-detail-false': firstStepData.presentPurpose !== 'ทบทวนผลิตภัณฑ์ระหว่างปี'}"
            (click)="changePresentPurpose(1)">
            ทบทวนผลิตภัณฑ์ระหว่างปี
          </div>
          <div>
            <!-- ทบทวนผลิตภัณฑ์ระหว่างปี -->
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="ทบทวนผลิตภัณฑ์ประจำปี" [disabled]="changeRequestRepeatId === false">
            </mat-radio-button>
          </div>
          <div>
            <!-- ทบทวนผลิตภัณฑ์ประจำปี -->
          </div>
          <div class="bd-highlight radio-detail"
            [ngClass]="{'checkbox-detail-true': firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี','checkbox-detail-false': firstStepData.presentPurpose !== 'ทบทวนผลิตภัณฑ์ประจำปี'}"
            (click)="changePresentPurpose(2)">ทบทวนผลิตภัณฑ์ประจำปี
          </div>
        </div>
        <div class="d-flex align-items-stretch radio-layout">
          <div class="bd-highlight checkbox-box">
            <mat-radio-button value="ผลิตภัณฑ์ใหม่" [disabled]="changeRequestRepeatId === false">
            </mat-radio-button>
          </div>
          <div class="bd-highlight radio-detail"
            [ngClass]="{'checkbox-detail-true': firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่','checkbox-detail-false': firstStepData.presentPurpose !== 'ผลิตภัณฑ์ใหม่'}"
            (click)="changePresentPurpose(3)">
            ผลิตภัณฑ์ใหม่</div>
        </div>
      </mat-radio-group>
    </div>
  </div>

  <!-- ======================================= เรียกดูข้อมูลผลิตภัณฑ์ sub ======================================== -->
  <div class="row"
    [ngStyle]="{'display': !(firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี') ? 'none' : '' }">
    <div class="col-12">
      <p class="head-detal">เรียกดูข้อมูลผลิตภัณฑ์</p>
    </div>
    <div class="col-12 input-group " *ngIf="template_manage.summary !== 'show'">
      <input type="text" class="form-control" placeholder="ค้นหาได้จากรหัสผลิตภัณฑ์ และชื่อผลิตภัณฑ์"
        [formControl]="control" [matAutocomplete]="auto" [(ngModel)]="firstStepData.productInfor">
      <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
        <mat-option *ngFor="let item of requestRepeatList | async, let i = index" [value]="item.productName"
          (click)="summaryGenerate(item.requestId)">
          {{item.productName}}
        </mat-option>
      </mat-autocomplete>
      <div class="input-group-append">
        <button class="btn btn-outline-secondary button-search" type="button" style="cursor: default;">ค้นหา</button>
      </div>
    </div>
    <div class="col-12" *ngIf="template_manage.summary === 'show'">
      <div class="input-group"
        *ngIf="firstStepData.requestRepeatName === '' || firstStepData.requestRepeatName === null ; else repeatName">
        {{firstStepData.requestRepeatName}}
        <input type="text" class="form-control" placeholder="ค้นหาได้จากรหัสผลิตภัณฑ์ และชื่อผลิตภัณฑ์"
          [formControl]="control" [matAutocomplete]="auto" [(ngModel)]="firstStepData.productInfor">
        <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
          <mat-option *ngFor="let item of requestRepeatList | async, let i = index" [value]="item.productName"
            (click)="summaryGenerate(item.requestId)">
            {{item.productName}}
          </mat-option>
        </mat-autocomplete>
        <div class="input-group-append">
          <button class="btn btn-outline-secondary button-search" type="button" style="cursor: default;">ค้นหา1</button>
        </div>
      </div>
      <ng-template #repeatName>
        <div class="input-group">
          <input type="text" class="form-control" placeholder="ค้นหาได้จากรหัสผลิตภัณฑ์ และชื่อผลิตภัณฑ์"
            aria-label="ค้นหาได้จากรหัสผลิตภัณฑ์ และชื่อผลิตภัณฑ์" aria-describedby="basic-addon2"
            [(ngModel)]="firstStepData.requestRepeatName" disabled>
          <div class="input-group-append">
            <!-- <button class="btn btn-outline-secondary button-search" type="button">ค้นหา</button> -->
          </div>
        </div>
      </ng-template>
    </div>

  </div>
  <!-- ======================================================================================================== -->

  <div class="row">
    <div class="col-12">
      <p class="head-detal">ผลิตภัณฑ์ที่นำเสนออยู่ภายใต้การกำกับของคณะกรรมการผลิตภัณฑ์ <span
          style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ช่องทาง)</span></p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <div class="d-flex align-items-stretch checkbox-layout">
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="firstStepData.productsOffered.productProgram" (ngModelChange)="changeSaveDraft()">
          </mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': firstStepData.productsOffered.productProgram === true,'checkbox-detail-false': firstStepData.productsOffered.productProgram === false}"
          (click)="firstStepData.productsOffered.productProgram = !firstStepData.productsOffered.productProgram; changeSaveDraft()">
          ออก/ทบทวนผลิตภัณฑ์สินเชื่อที่เป็น Product Program</div>
      </div>
      <div class="d-flex align-items-stretch checkbox-layout">
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="firstStepData.productsOffered.nonCredit" (ngModelChange)="changeSaveDraft()">
          </mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': firstStepData.productsOffered.nonCredit === true,'checkbox-detail-false': firstStepData.productsOffered.nonCredit === false}"
          (click)="firstStepData.productsOffered.nonCredit = !firstStepData.productsOffered.nonCredit; changeSaveDraft()">
          ออก/ทบทวนผลิตภัณฑ์ทางอิเล็กทรอนิกส์และผลิตภัณฑ์อื่นๆ (Non Credit) ยกเว้นผลิตภัณฑ์เงินฝาก ผลิตภัณฑ์ด้าน Global
          Market (รวมถึงผลิตภัณฑ์อนุพันธ์และอื่นๆ)</div>
      </div>
      <div class="d-flex align-items-stretch checkbox-layout">
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="firstStepData.productsOffered.pricing" (ngModelChange)="changeSaveDraft()">
          </mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': firstStepData.productsOffered.pricing === true,'checkbox-detail-false': firstStepData.productsOffered.pricing === false}"
          (click)="firstStepData.productsOffered.pricing = !firstStepData.productsOffered.pricing; changeSaveDraft()">
          ออก/ทบทวนหลักเกณฑ์และกระบวนการปฏิบัติงาน สำหรับผลิตภัณฑ์ธนาคาร เฉพาะผลิตภัณฑ์เงินฝาก ไม่รวมถึง Pricing
          (การกำหนดราคา)</div>
      </div>
      <div class="d-flex align-items-stretch checkbox-layout">
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="firstStepData.productsOffered.outsourcing" (ngModelChange)="changeSaveDraft()">
          </mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': firstStepData.productsOffered.outsourcing === true,'checkbox-detail-false': firstStepData.productsOffered.outsourcing === false}"
          (click)="firstStepData.productsOffered.outsourcing = !firstStepData.productsOffered.outsourcing; changeSaveDraft()">
          การใช้บริการจากผู้ให้บริการภายนอก (Outsourcing) (เฉพาะงานที่ PC ได้รับมอบหมาย)</div>
      </div>
      <div class="d-flex align-items-stretch checkbox-layout">
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="firstStepData.productsOffered.insourcing" (ngModelChange)="changeSaveDraft()">
          </mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': firstStepData.productsOffered.insourcing === true,'checkbox-detail-false': firstStepData.productsOffered.insourcing === false}"
          (click)="firstStepData.productsOffered.insourcing = !firstStepData.productsOffered.insourcing; changeSaveDraft()">
          การรับให้บริการธุรกิจทางการเงินหรือทางการ (Insourcing) (เฉพาะงานที่ PC ได้รับมอบหมาย)</div>
      </div>

    </div>
  </div>


  <!-- ======================================= ชื่อผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ชื่อผลิตภัณฑ์</p>
    </div>
    <div class="col-12 input-group" *ngIf="template_manage.summary !== 'show'">
      <input type="text" class="form-control" placeholder="ระบุชื่อผลิตภัณฑ์" aria-label="ระบุชื่อผลิตภัณฑ์"
        aria-describedby="basic-addon2" [(ngModel)]="firstStepData.productName" (ngModelChange)="changeSaveDraft()">
    </div>
    <div class="col-12 input-group" *ngIf="template_manage.summary === 'show'">
      <input type="text" class="form-control" placeholder="ระบุชื่อผลิตภัณฑ์" aria-label="ระบุชื่อผลิตภัณฑ์"
        aria-describedby="basic-addon2" [(ngModel)]="firstStepData.productName" (ngModelChange)="changeSaveDraft()">
    </div>
  </div>
  <!-- ======================================= รหัสผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">รหัสผลิตภัณฑ์</p>
    </div>
    <div class="col-12 input-group ">
      <input type="text" class="form-control" placeholder="รหัสผลิตภัณฑ์" aria-label="รหัสผลิตภัณฑ์"
        aria-describedby="basic-addon2" [(ngModel)]="firstStepData.productCode" readonly>
    </div>
  </div>
  <!-- ======================================= กลุ่มผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">กลุ่มผลิตภัณฑ์</p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <div class="row">
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox (ngModelChange)="clearCreditProductSub(); changeSaveDraft()"
                [(ngModel)]="firstStepData.productGroup.creditProduct"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.creditProduct === true,'checkbox-detail-false': firstStepData.productGroup.creditProduct === false}"
              (click)="firstStepData.productGroup.creditProduct = !firstStepData.productGroup.creditProduct; clearCreditProductSub(); changeSaveDraft()">
              Credit Product</div>
          </div>
        </div>
        <div class="col-12">
          <div class="subDetail" style="width: 500px;">
            <div class="d-flex flex-wrap">
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [disabled]="!(firstStepData.productGroup.creditProduct)"
                    [(ngModel)]="firstStepData.productGroup.CP_BusinessLoan" (ngModelChange)="changeSaveDraft()">
                  </mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_BusinessLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}"
                  (click)="creditProductSub(1)">Business Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [disabled]="!(firstStepData.productGroup.creditProduct)"
                    [(ngModel)]="firstStepData.productGroup.CP_PersonalLoan" (ngModelChange)="changeSaveDraft()">
                  </mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_PersonalLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_PersonalLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}"
                  (click)="creditProductSub(2)">Personal Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [disabled]="!(firstStepData.productGroup.creditProduct)"
                    [(ngModel)]="firstStepData.productGroup.CP_HousingLoan" (ngModelChange)="changeSaveDraft()">
                  </mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_HousingLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_HousingLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}"
                  (click)="creditProductSub(3)">Housing Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="creditProductSub(4)"
                    [disabled]="!(firstStepData.productGroup.creditProduct)"
                    [(ngModel)]="firstStepData.productGroup.CP_Etc" (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_Etc === true,'checkbox-detail-false': (firstStepData.productGroup.CP_Etc === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}"
                  (click)="creditProductSub(4)">อื่นๆ</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="inputSubDetail">
            <textarea class="form-control input-detail"
              style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(1)" rows="2"
              (click)="autogrow(1)" type="text" id="textother1" placeholder="ระบุรายละเอียดเพิ่มเติม"
              [disabled]="!(firstStepData.productGroup.CP_Etc)" (ngModelChange)="changeSaveDraft()"
              [(ngModel)]="firstStepData.productGroup.CP_Etc_digital" name="textother1" required></textarea>
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox (ngModelChange)="clearnonCreditProductSub(); changeSaveDraft()"
                [(ngModel)]="firstStepData.productGroup.nonCreditProduct"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.nonCreditProduct === true,'checkbox-detail-false': firstStepData.productGroup.nonCreditProduct === false}"
              (click)="firstStepData.productGroup.nonCreditProduct = !firstStepData.productGroup.nonCreditProduct; clearnonCreditProductSub(); changeSaveDraft()">
              Non-Credit Product</div>
          </div>
        </div>
        <!-- ---------------------------------------------------------------------------------------------------------------- -->
        <div class="col-12">
          <div class="subDetail" style="width: 260px;">
            <div class="d-flex flex-wrap">
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="changeSaveDraft()"
                    [disabled]="!(firstStepData.productGroup.nonCreditProduct)"
                    [(ngModel)]="firstStepData.productGroup.NCP_nonCreditProduct"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.NCP_nonCreditProduct === true,'checkbox-detail-false': (firstStepData.productGroup.NCP_nonCreditProduct === false && firstStepData.productGroup.nonCreditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.nonCreditProduct === false)}"
                  (click)="nonCreditProductSub(1); changeSaveDraft()">Non-Credit Product</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="nonCreditProductSub(2); changeSaveDraft()"
                    [disabled]="!(firstStepData.productGroup.nonCreditProduct)"
                    [(ngModel)]="firstStepData.productGroup.NCP_Etc"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.NCP_Etc === true,'checkbox-detail-false': (firstStepData.productGroup.NCP_Etc === false && firstStepData.productGroup.nonCreditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.nonCreditProduct === false)}"
                  (click)="nonCreditProductSub(2); changeSaveDraft()">อื่นๆ</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="inputSubDetail">
            <textarea class="form-control input-detail"
              style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(2)" rows="2"
              (click)="autogrow(2)" type="text" id="textother2" placeholder="ระบุรายละเอียดเพิ่มเติม"
              [disabled]="!(firstStepData.productGroup.NCP_Etc)" (ngModelChange)="changeSaveDraft()"
              [(ngModel)]="firstStepData.productGroup.NCP_Etc_digital" name="textother2" required></textarea>
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="firstStepData.productGroup.insourcing" (ngModelChange)="changeSaveDraft()">
              </mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.insourcing === true,'checkbox-detail-false': firstStepData.productGroup.insourcing === false}"
              (click)="firstStepData.productGroup.insourcing = !firstStepData.productGroup.insourcing; changeSaveDraft()">
              Insourcing</div>
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="firstStepData.productGroup.outsourcing" (ngModelChange)="changeSaveDraft()">
              </mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.outsourcing === true,'checkbox-detail-false': firstStepData.productGroup.outsourcing === false}"
              (click)="firstStepData.productGroup.outsourcing = !firstStepData.productGroup.outsourcing; changeSaveDraft()">
              Outsourcing</div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal">ช่องทางนำเสนอ <span style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ช่องทาง)</span></p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <div class="row">
        <div class="col-md-3">
          <div class="row">
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.generalBranch"
                    (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.generalBranch === true,'checkbox-detail-false': firstStepData.serviceDelivery.generalBranch === false}"
                  (click)="firstStepData.serviceDelivery.generalBranch = !firstStepData.serviceDelivery.generalBranch; changeSaveDraft()">
                  สาขาทั่วไป</div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.electronics"
                    (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.electronics === true,'checkbox-detail-false': firstStepData.serviceDelivery.electronics === false}"
                  (click)="firstStepData.serviceDelivery.electronics = !firstStepData.serviceDelivery.electronics; changeSaveDraft()">
                  สาขาอิเล็กทรอนิกส์</div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.businessOffice"
                    (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.businessOffice === true,'checkbox-detail-false': firstStepData.serviceDelivery.businessOffice === false}"
                  (click)="firstStepData.serviceDelivery.businessOffice = !firstStepData.serviceDelivery.businessOffice; changeSaveDraft()">
                  สำนักงานธุรกิจ</div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.CBC" (ngModelChange)="changeSaveDraft()">
                  </mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.CBC === true,'checkbox-detail-false': firstStepData.serviceDelivery.CBC === false}"
                  (click)="firstStepData.serviceDelivery.CBC = !firstStepData.serviceDelivery.CBC; changeSaveDraft()">
                  CBC
                </div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.blockChain"
                    (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.blockChain === true,'checkbox-detail-false': firstStepData.serviceDelivery.blockChain === false}"
                  (click)="firstStepData.serviceDelivery.blockChain = !firstStepData.serviceDelivery.blockChain; changeSaveDraft()">
                  Blockchain</div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.callCenter"
                    (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.callCenter === true,'checkbox-detail-false': firstStepData.serviceDelivery.callCenter === false}"
                  (click)="firstStepData.serviceDelivery.callCenter = !firstStepData.serviceDelivery.callCenter; changeSaveDraft()">
                  Call
                  Center</div>
              </div>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.ATM" (ngModelChange)="changeSaveDraft()">
                  </mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.ATM === true,'checkbox-detail-false': firstStepData.serviceDelivery.ATM === false}"
                  (click)="firstStepData.serviceDelivery.ATM = !firstStepData.serviceDelivery.ATM; changeSaveDraft()">
                  ATM
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="row">
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="clearServiceDeliveryDetailDigitalChannels(); changeSaveDraft()"
                    [(ngModel)]="firstStepData.serviceDelivery.digitalChannels"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.digitalChannels === true,'checkbox-detail-false': firstStepData.serviceDelivery.digitalChannels === false}"
                  (click)="clearServiceDeliveryDetailDigitalChannels(); changeSaveDraft()">ช่องทางดิจิทัล</div>
              </div>
            </div>
            <div class="col-12">
              <textarea class="form-control input-detail"
                style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(3)" rows="2"
                (click)="autogrow(3)" type="text" id="textother3" placeholder="ระบุรายละเอียดเพิ่มเติม"
                [(ngModel)]="firstStepData.serviceDelivery.detailDigitalChannels" (ngModelChange)="changeSaveDraft()"
                [disabled]="!(firstStepData.serviceDelivery.digitalChannels)" name="textother3" required></textarea>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="clearServiceDeliveryDetailNonBank(); changeSaveDraft()"
                    [(ngModel)]="firstStepData.serviceDelivery.nonBank"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.nonBank === true,'checkbox-detail-false': firstStepData.serviceDelivery.nonBank === false}"
                  (click)="clearServiceDeliveryDetailNonBank(); changeSaveDraft()">ช่องทางอื่นที่ไม่ใช่ของธนาคาร</div>
              </div>
            </div>
            <div class="col-12">
              <textarea class="form-control input-detail"
                style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(4)" rows="2"
                (click)="autogrow(4)" type="text" id="textother4" placeholder="ระบุรายละเอียดเพิ่มเติม"
                [(ngModel)]="firstStepData.serviceDelivery.detailNonBank" (ngModelChange)="changeSaveDraft()"
                [disabled]="!(firstStepData.serviceDelivery.nonBank)" name="textother4" required></textarea>
            </div>
            <div class="col-12">
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox (ngModelChange)="clearServiceDeliveryDetailEtc(); changeSaveDraft()"
                    [(ngModel)]="firstStepData.serviceDelivery.etc"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.etc === true,'checkbox-detail-false': firstStepData.serviceDelivery.etc === false}"
                  (click)="clearServiceDeliveryDetailEtc(); changeSaveDraft()">อื่นๆ</div>
              </div>
            </div>
            <div class="col-12">
              <textarea class="form-control input-detail"
                style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(5)" rows="2"
                (click)="autogrow(5)" type="text" id="textother5" placeholder="ระบุรายละเอียดเพิ่มเติม"
                [(ngModel)]="firstStepData.serviceDelivery.detailEtc" (ngModelChange)="changeSaveDraft()"
                [disabled]="!(firstStepData.serviceDelivery.etc)" name="textother5" required></textarea>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- ======================================= วันที่คาดว่าจะประกาศใช้ ======================================== -->
  <!-- template_manage.summary !== 'show'  -->
  <!-- <div class="row" *ngIf="template_manage.summary !== 'show'">
    <div class="col-12">
      <p class="head-detal">วันที่คาดว่าจะประกาศใช้</p>
    </div>
    <div class="col-12 input-warpper">
      <div *ngIf="firstStepData.expectedDate; else nonReleaseDate">
        <app-date
          [datepicker_input]="{ role: null , dateData: firstStepData.expectedDate, index: null, page: 'base-step1' }"
          (DateChange)="firstStepData.expectedDate = changeDate($event)"></app-date>
      </div>
      <ng-template #nonReleaseDate>
        <app-date
          [datepicker_input]="{ role: null , dateData: firstStepData.expectedDate, index: null, page: 'base-step1' }"
          (DateChange)="firstStepData.expectedDate = changeDate($event)"></app-date>
      </ng-template>

    </div>
  </div> -->
  <!-- template_manage.summary === 'show'  -->
  <div class="row">
    <!-- วันที่คาดว่าจะประกาศใช้ -->
    <div class="col-6">
      <div class="row">
        <div class="col-12">
          <p class="head-detal">วันที่คาดว่าจะประกาศใช้</p>
        </div>
        <div class="col-12 input-warpper">
          <div *ngIf="firstStepData.expectedDate; else nonExpectedDate">
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.expectedDate, index: null, page: 'requestStartDateToDay' }"
              (DateChange)="firstStepData.expectedDate = changeDate($event)"></app-date>
          </div>
          <ng-template #nonExpectedDate>
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.expectedDate, index: null, page: 'requestStartDateToDay' }"
              (DateChange)="firstStepData.expectedDate = changeDate($event)"></app-date>
          </ng-template>

        </div>
      </div>
    </div>
    <div class="col-6"></div>
    <!-- วันที่ทบทวนล่าสุด -->
    <div class="col-6">
      <div class="row">
        <div class="col-12">
          <p class="head-detal">วันที่ทบทวนล่าสุด</p>
        </div>
        <div class="col-12 input-warpper">
          <div *ngIf="firstStepData.lastReviewDate ; else nonLastReviewDate">
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.lastReviewDate, index: null, page: 'base-step1' }"
              (DateChange)="firstStepData.lastReviewDate = changeDate($event)"></app-date>
          </div>
          <ng-template #nonLastReviewDate>
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.lastReviewDate, index: null, page: 'base-step1' }"
              (DateChange)="firstStepData.lastReviewDate = changeDate($event)"></app-date>
          </ng-template>
        </div>
      </div>
    </div>
    <!-- วัวันที่ทบทวนครั้งถัดไปก่อนวันที่ -->
    <div class="col-6">
      <div class="row">
        <div class="col-12">
          <p class="head-detal">วันที่ทบทวนครั้งถัดไปก่อนวันที่</p>
        </div>
        <div class="col-12 input-warpper">
          <div *ngIf="firstStepData.nextReviewDate; else nonNextReviewDate">
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.nextReviewDate, index: null, page: 'requestStartDateToDay' }"
              (DateChange)="firstStepData.nextReviewDate = changeDate($event)"></app-date>
          </div>
          <ng-template #nonNextReviewDate>
            <app-date
              [datepicker_input]="{ role: null , dateData: firstStepData.nextReviewDate, index: null, page: 'requestStartDateToDay' }"
              (DateChange)="firstStepData.nextReviewDate = changeDate($event)"></app-date>
          </ng-template>
        </div>
      </div>
    </div>
  </div>

  <!-- ----------------------------------------------------------------------------------------------------------------- -->

  <div class="row" [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
    <div class="col-12">
      <br> <br> <br> <br>
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
    </div>
  </div>
  <br> <br>
</div>
<!-- ============================================================================================================= -->


<!-- ======================================== validate  = false =================================================== -->
<div *ngIf="firstStepData.validate === false">
  <div>
    <!-- ======================================= เลขที่ใบคำขอ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">เลขที่ใบคำขอ</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 input-group ">
        &nbsp;&nbsp;&nbsp;&nbsp; {{firstStepData.applicationNumber}}
      </div>
    </div>
    <br>
    <!-- ======================================= ประเภทการนำเสนอ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">ประเภทการนำเสนอ</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 body-detal">
        <ul>
          <li class="ul_10" *ngIf="firstStepData.PresentType === 'เพื่อทราบ'">เพื่อทราบ</li>
          <li class="ul_10"
            *ngIf="firstStepData.PresentType === 'เพื่อพิจารณาและเพื่อทราบ' || firstStepData.PresentType === 'เพื่อพิจารณา/เพื่อทราบ'">
            เพื่อพิจารณาและเพื่อทราบ
          </li>
          <li class="ul_10" *ngIf="firstStepData.PresentType === 'เพื่อพิจารณา'">เพื่อพิจารณา</li>
        </ul>
      </div>
    </div>
    <br>

    <!-- ======================================= ประเภทวาระ ======================================== -->
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">ประเภทวาระ</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 body-detal">
        <div *ngIf="firstStepData.agendaType === 'true'">
          <ul>
            <li class="ul_10">วาระปกติ</li>
          </ul>
        </div>
        <div *ngIf="firstStepData.agendaType === 'false'">
          <ul>
            <li class="ul_10" *ngIf="firstStepData.subAgendaType === 'befor'">วาระเพิ่มเติม: อยู่ระหว่างจัดทำ Product
              Assessment</li>
            <li class="ul_10" *ngIf="firstStepData.subAgendaType === 'after'">วาระเพิ่มเติม: ขอจัดทำ Product Assessment
              ภายหลังการนำเสนอ PC</li>
            <li class="ul_10" *ngIf="firstStepData.subAgendaType === 'non'">วาระเพิ่มเติม: ไม่ต้องจัดทำ Product
              Assessment</li>
          </ul>
        </div>
      </div>
    </div>
    <br>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">วัตถุประสงค์การนำเสนอ</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 body-detal">
      <ul>
        <li class="ul_10" *ngIf="firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี'">ทบทวนผลิตภัณฑ์ระหว่างปี
        </li>
        <li class="ul_10" *ngIf="firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">ทบทวนผลิตภัณฑ์ประจำปี</li>
        <li class="ul_10" *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่'">ผลิตภัณฑ์ใหม่</li>
      </ul>
    </div>
  </div>
  <br>

  <!-- ======================================= เรียกดูข้อมูลผลิตภัณฑ์ sub ======================================== -->
  <div class="row"
    [ngStyle]="{'display': !(firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี') ? 'none' : '' }">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">เรียกดูข้อมูลผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 input-group ">
      <!-- <input type="text" class="form-control" [(ngModel)]="firstStepData.requestRepeatName" disabled> -->
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{{firstStepData.requestRepeatName}}
      <!-- <div class="input-group-append">
        <button class="btn btn-outline-secondary button-search" type="button">ค้นหา</button>
      </div> -->
    </div>
  </div>
  <br>

  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">ผลิตภัณฑ์ที่นำเสนออยู่ภายใต้การกำกับของคณะกรรมการผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <ul>
        <li class="ul_10" *ngIf="firstStepData.productsOffered.productProgram === true">
          ออก/ทบทวนผลิตภัณฑ์สินเชื่อที่เป็น Product Program
        </li>
        <li class="ul_10" *ngIf="firstStepData.productsOffered.nonCredit === true">
          ออก/ทบทวนผลิตภัณฑ์ทางอิเล็กทรอนิกส์และผลิตภัณฑ์อื่นๆ (Non Credit) ยกเว้นผลิตภัณฑ์เงินฝาก ผลิตภัณฑ์ด้าน Global
          Market (รวมถึงผลิตภัณฑ์อนุพันธ์และอื่นๆ)
        </li>
        <li class="ul_10" *ngIf="firstStepData.productsOffered.pricing === true">
          ออก/ทบทวนหลักเกณฑ์และกระบวนการปฏิบัติงาน สำหรับผลิตภัณฑ์ธนาคาร เฉพาะผลิตภัณฑ์เงินฝาก ไม่รวมถึง Pricing
          (การกำหนดราคา)
        </li>
        <li class="ul_10" *ngIf="firstStepData.productsOffered.outsourcing === true">
          การใช้บริการจากผู้ให้บริการภายนอก (Outsourcing) (เฉพาะงานที่ PC ได้รับมอบหมาย)
        </li>
        <li class="ul_10" *ngIf="firstStepData.productsOffered.insourcing === true">
          การรับให้บริการธุรกิจทางการเงินหรือทางการ (Insourcing) (เฉพาะงานที่ PC ได้รับมอบหมาย)
        </li>
      </ul>

    </div>
  </div>
  <br>


  <!-- ======================================= ชื่อผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">ชื่อผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 input-group ">
      &nbsp;&nbsp;&nbsp;&nbsp; {{firstStepData.productName}}
    </div>
  </div>
  <br>
  <!-- ======================================= รหัสผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">รหัสผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 input-group ">
      &nbsp;&nbsp;&nbsp;&nbsp; {{firstStepData.productCode}}
    </div>
  </div>
  <br>
  <!-- ======================================= กลุ่มผลิตภัณฑ์ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">กลุ่มผลิตภัณฑ์</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <div *ngIf="firstStepData.productGroup.creditProduct === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                Credit Product
              </div>
              <div class="col-9">
                ประเภทผลิตภัณฑ์
                <div class="col-12 row">
                  <!-- <div class="col-12" *ngIf="firstStepData.productGroup.creditProduct === true">
                    - Credit Product
                  </div> -->
                  <div class="col-12" *ngIf="firstStepData.productGroup.CP_BusinessLoan === true">
                    - Business Loan
                  </div>
                  <div class="col-12" *ngIf="firstStepData.productGroup.CP_PersonalLoan === true">
                    - Personal Loan
                  </div>
                  <div class="col-12" *ngIf="firstStepData.productGroup.CP_HousingLoan === true">
                    - Housing Loan
                  </div>
                  <div class="col-12 row" *ngIf="firstStepData.productGroup.CP_Etc === true">
                    <div class="col-6">
                      - อื่นๆ
                    </div>
                    <div class="col-12" style="word-break: break-all;">
                      &nbsp;&nbsp; ระบุ : <span
                        style="color: #696969;">{{firstStepData.productGroup.CP_Etc_digital}}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.productGroup.nonCreditProduct === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                Non-Credit Product
              </div>
              <div class="col-9">
                ประเภทผลิตภัณฑ์
                <div class="col-12 row">
                  <div class="col-12" *ngIf="firstStepData.productGroup.nonCreditProduct === true">
                    - Non-Credit Product
                  </div>
                  <div class="col-12 row" *ngIf="firstStepData.productGroup.NCP_Etc === true">
                    <div class="col-6">
                      - อื่นๆ
                    </div>
                    <div class="col-12">
                      &nbsp;&nbsp; ระบุ : <span
                        style="color: #696969;">{{firstStepData.productGroup.NCP_Etc_digital}}</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.productGroup.insourcing === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                Insourcing
              </div>
              <div class="col-3"></div>
              <div class="col-6 row"></div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.productGroup.outsourcing === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                Outsourcing
              </div>
              <div class="col-3"></div>
              <div class="col-6 row"></div>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <br>


  <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">ช่องทางนำเสนอ</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <div *ngIf="firstStepData.serviceDelivery.generalBranch === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                สาขาทั่วไป
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.electronics === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                สาขาอิเล็กทรอนิกส์
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.businessOffice === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                สำนักงานธุรกิจ
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.CBC === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                CBC
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.blockChain === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                Blockchain
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.callCenter === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                Call Center
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.ATM === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-12">
                ATM
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.digitalChannels === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                ช่องทางดิจิทัล
              </div>
              <div class="col-3">
                ระบุ
              </div>
              <div class="col-6" style="word-break: break-all !important">
                {{firstStepData.serviceDelivery.detailDigitalChannels}}
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.nonBank === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                ช่องทางอื่นที่ไม่ใช่ของธนาคาร
              </div>
              <div class="col-3">
                ระบุ
              </div>
              <div class="col-6" style="word-break: break-all !important">
                {{firstStepData.serviceDelivery.detailNonBank}}
              </div>
            </div>
          </li>
        </ul>
      </div>

      <div *ngIf="firstStepData.serviceDelivery.etc === true">
        <ul>
          <li class="ul_10">
            <div class="row">
              <div class="col-3">
                อื่นๆ
              </div>
              <div class="col-3">
                ระบุ
              </div>
              <div class="col-6" style="word-break: break-all !important">
                {{firstStepData.serviceDelivery.detailEtc}}
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <!-- ======================================= วันที่คาดว่าจะประกาศใช้ ======================================== -->
  <!-- <div *ngIf="template_manage.summary !== 'show'">
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">วันที่คาดว่าจะประกาศใช้</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 view_ul">
        <ul>
          <li class="ul_10">{{dateFormats(firstStepData.expectedDate)}}</li>
        </ul>
      </div>
    </div>
  </div> -->
  <div>
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">วันที่คาดว่าจะประกาศใช้</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 view_ul">
        <ul *ngIf="firstStepData.expectedDate; else nonExpectedDate">
          <li class="ul_10">{{dateFormats(firstStepData.expectedDate)}}</li>
        </ul>
        <ng-template #nonExpectedDate>
          <ul>
            <li class="ul_10"> ไม่ได้กำหนดวันที่ </li>
          </ul>
        </ng-template>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">วันที่ทบทวนล่าสุด</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 view_ul">
        <ul *ngIf="firstStepData.lastReviewDate; else nonLastReviewDate">
          <li class="ul_10">{{dateFormats(firstStepData.lastReviewDate)}}</li>
        </ul>
        <ng-template #nonLastReviewDate>
          <ul>
            <li class="ul_10"> ไม่ได้กำหนดวันที่ </li>
          </ul>
        </ng-template>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <p class="head-detal" style="margin-bottom: 5px;">วันที่ทบทวนครั้งถัดไปก่อนวันที่</p>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 view_ul">
        <ul *ngIf="firstStepData.nextReviewDate; else nonNextReviewDate">
          <li class="ul_10">{{dateFormats(firstStepData.nextReviewDate)}}</li>
        </ul>
        <ng-template #nonNextReviewDate>
          <ul>
            <li class="ul_10"> ไม่ได้กำหนดวันที่ </li>
          </ul>
        </ng-template>
      </div>
    </div>
  </div>
  <br><br>
</div>
<!-- ============================================================================================================= -->
<div class="row" *ngIf="firstStepData.validate === false"
  [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>